package logica.gui;


import java.awt.*;
import java.awt.event.*;


public class RegionBlob
extends MapElement
{

	private float x;
	private float y;
	
	private double[] spatialCoords = new double[3];
	private int[] lines = new int[2];		//length of lines from blob

	private int width;


	public RegionBlob(String name, int id, float x, float y, float value)
	{
		super();

		this.x = x;
		this.y = y;
		this.value = value;
		this.absoluteValue = value;
		this.id = id;
		this.name = name;

		rePosition(x,y);
	}



	public void setValue(float v)
	{
		value = v;
	}


	public void rePosition(float x, float y) {
		this.setBounds((int) x - 2, (int)y - 2, 5, 5);
		
		this.x = x;
		this.y = y;
	}
	
	
	public double[] getSpatialCoords() {
		return spatialCoords;
	}
	
	
	public void setSpatialCoords(double[] coords) {
		spatialCoords = coords;
	}
	
	
	public int[] getLines() {
		return lines;
	}
	
	
	public void setLines(int line1, int line2) {
		lines[0] = line1;
		lines[1] = line2;
	}


	public void paint(Graphics g)
	{

		if(isActive)
		{
			g.setColor(Style.regionActive);
			g.fillRect(0, 0, 4, 4);
			g.setColor(Style.regionActive);
		}
		else if(hasFocus)
		{
			g.setColor(Style.regionActive);
		}
		else
		{
			g.setColor(Style.LightGrey);
		}

		g.drawRect(0,0,4,4);
		
// half-done work for lines indicating y-Pos (sepp 020507)
//		int[] rectPos = {0,0,4,4};
//		
//		if(isActive)
//		{
//			g.setColor(Style.regionActive);
//			g.fillRect(0, 0, 4, 4);
//			g.setColor(Style.regionActive);
//		}
//		else if(hasFocus)
//		{
//			
////			this.setBounds(this.getX(), this.getY() + Math.min(lines[0], lines[1]),
////			               5, Math.max(5,Math.max(-lines[0], -lines[1])));
////			g.setColor(Color.yellow);
////			g.drawLine(2, 2, 2, lines[0]);
////			System.out.println(lines[0] + " " + lines[1]);
////		
//			this.setBounds((int)x - 2, (int)y - 2 + Math.min(0,Math.min(lines[0], lines[1])), 5,
//			               (Math.max((int)y,((int)y + Math.max(lines[0], lines[1]))) -
//						    Math.min((int)y,((int)y + Math.min(lines[0], lines[1])))) + 5);
//			               //Math.max(5,Math.max(Math.abs(lines[0]), Math.abs(lines[1]))));
//			
//			rectPos = new int[] {0, Math.max(0, -Math.min(lines[0], lines[1])), 4, 4};
//			
//			g.setColor(Color.yellow);
//			g.drawLine(2, rectPos[1] + 2, 2, lines[0]);
//			g.setColor(Color.blue);
//			g.drawLine(2, rectPos[1] + 2, 2, lines[1]);
//			System.out.println(lines[0] + " " + lines[1]);
//			
//			g.setColor(Style.regionActive);
//		}
//		else
//		{
//			this.setBounds((int) x - 2, (int)y - 2, 5, 5);
//			rectPos = new int[] {0,0,4,4};
//			
//			g.setColor(Style.LightGrey);
//		}
//
////		g.drawRect(0,0,4,4);
//		g.drawRect(rectPos[0], rectPos[1], rectPos[2], rectPos[3]);

	}
}

