package logica.gui;


import java.awt.*;
import java.awt.event.*;


public class RegionSquare 
extends MapElement
{

	private float x;
	private float y;	
	
	private int width;
	
	
	public RegionSquare(String name, int id, float x, float y, float value)
	{
		super();
                
		this.x = x;
		this.y = y;
		this.value = value;
		this.absoluteValue = value;			//sepp 020418;
		this.id = id;
		this.name = name;
		
		changeWidth();		                
	}
        

	
	public void setValue(float v)
	{
		value = v;	
		changeWidth();
	}	
	
	public void changeWidth()
	{
		this.width = (int) Math.sqrt(value);

		//int xPos = Math.max((int) x - width/2, 5);
		//int yPos = Math.max((int) y - width/2, 5);	
		//this.setBounds(xPos,yPos,width,width);		
		
		this.setBounds((int) x - width/2, (int)y - width/2, width, width);			
	}
		
	
	public void paint(Graphics g)
	{

		if(isActive)
		{
			g.setColor(Style.regionActive);
			g.fillRect(0,0,width-2,width-2);
			g.setColor(Style.regionActive);
		}		
		else if(hasFocus)
		{
			g.setColor(Style.regionActive);
		}		
		else 
		{
			g.setColor(Style.LightGrey);
		}
                
		g.drawRect(0,0,width-2,width-2);	
		g.drawLine(0,0,0,0);		//workaround - 1-pixel-problem with ie
	}			
}
