package logica.sim;

import logica.sim.data.*;


public class Year {
	public Vars v;
	public SimData s;
	public WorldData w;
	public RegionData r[];


	public Year (Vars vArg) {
		v = vArg;
		s = new SimData();
		w = new WorldData();

		r = new RegionData[v.numRegs];
		for (int i = 0; i < v.numRegs; i++) r[i] = new RegionData();
	}


	public void isCopyOf (Year yr) {
		v = yr.v;
		s = yr.s;

		w.isCopyOf(yr.w);
		for (int i = 0; i < v.numRegs; i++) r[i].isCopyOf(yr.r[i]);
	}
}