package logica.gui;


import java.awt.*;
import java.awt.event.*;


public class MapElement
extends Component
implements MouseListener
{
	String name;
	int id;	
	float value;
	float absoluteValue;
	
	int w;
	int h;
	
	boolean hasFocus;
	boolean isActive;

	
	public MapElement()
	{                
		this.hasFocus = false;
		this.setVisible(true);
		addMouseListener(this);
	}
        

	public int getId()
	{
		return id;
	}	
	
	
	public String getName()
	{
		return name;
	}		
	
	
	public float getValue()
	{
		return value;
	}			
	
	
	public void setValue(float v)
	{
		value = v;	
	}
	
	
	public float getAbsValue()
	{
		return absoluteValue;
	}
	
	
	public void setAbsValue(float v)
	{
		absoluteValue = v;
	}
	
	
	public int getWidth()
	{
		return w;
	}
	
	public int getHeight()
	{
		return h;
	}	
	
	public void setWidth(int width)
	{
		w = width;
	}
	
	public void setHeight(int height)
	{
		h = height;
	}	

	
	public boolean isFocusTraversable()
	{
		return true;
	}	
	
	public void setActive(boolean stat)
	{
		isActive = stat;
		repaint();
	}
	
	
	public boolean getActive()
	{
		return isActive;
	}
	
	public void mouseClicked(MouseEvent e) 
	{
	}	

	public void mouseEntered(MouseEvent e)
	{
			requestFocus();	
			hasFocus = true;
			repaint();		
	}	
	
	public void mouseExited(MouseEvent e)
	{
		hasFocus = false;
		repaint();	
	}
	
	public void mousePressed(MouseEvent e) 
	{
	}
	
	public void mouseReleased(MouseEvent e) 
	{
	}
	
}




