package logica.sim.data;

import java.lang.reflect.*;
import java.util.*;


public class RegionData
{
	//DEBUG
	public float temp1;
	public float temp2;
	public float temp3;
	public float temp4;
	public float temp5;
	public float temp6;
	public float temp7;
	public float temp8;


	public String name;
	public float area;
	public float xPos;
	public float yPos;
	public float width2Height = 1.0F;

	public int rankByIncome;
	public int rankByFoodNeed;

	public float investPerCap2BY;
	public float pollution2Area;
	public boolean conservFlag = false;		//changed in java-model
	public boolean needsUtilAid = false;		//new in java-model


	// Indust

	public float industBase_stat;
	public float industBase_dmd;

	public float indust_oilDmd;
	//public float indust_oilConsum;			not used
	public float indust_prod;
	public float util_industExp;
	public float indust_imp;
	public float indust_idleFrac = 0.16F;
	public float indust_delayedIdleFrac = 0.16F;
	public float indust_ratio;


	public float indust_expAvailS_indust;
	public float indust_expAvailS_agri;
	public float indust_expAvailS_advTech;
	public float indust_expAvailS_other;
	public float indust_expAvailS_overhead;

	public float indust_expS_indust;
	public float indust_expS_agri;
	public float indust_expS_advTech;
	public float indust_expS_other;
	public float indust_expS_overhead;


	// Agri

	public float agriEquip_stat;
	public float agriEquip_statBY;
	public float agriEquip_dmd;
	public float util_foodImp;
	public float food_surplus;
	public float food_prod2Need;
	public float agri_oilSatMult = 1.0F;


	// advTech

	public float advTech_stat;
	public float advTech_dmd;

	// ohter

	public float other_stat;
	public float other_dmd;

	// Tech

	public float tech_stat;
	public float tech_statBY;
	public float tech_ratio;


	// Overhead

	public float overhead_dmd;


	// Education

	public float educ_effic;
	public float educ_manHourTrainCum;
	public float educ_manHourTrainCap;



	// Food

	public float food_prod;
	public float food_prodBY;
	public float food_prodGrowth;
	public float food_prodGrowthBY;
	public float food_prodGrowthCalc;
	public float food_prodIncrLimit;
	public float food_dmd;
	public float food_imp;
	public float food_exp;
	public float food_calPerCapDay;
	public float food_calPerCapDayBY;
	public float food_calPerCapDayNeed;
	public float food_delivMult;
	public float food_aidRecv;
	public float food_aidGiven;

	public float food_need;

	//used in UI
	public float food_surp2Aid;


	// Population

	public float pop_stat;
	public float pop_statBY;
	public float pop_immigr;
	public float pop_emigr;
	//public float pop_emigrDest;
	//public float pop_emigrDestFactArr;
	public float pop_birthRate;
	public float pop_deathRate;
	public float pop_inAgri;
	public float pop_inAgriBY;
	public float pop_inAgri2Pop;
	public float pop_nutLvl;


	// Util

	public float util_tni;
	public float util_tniBY;
	public float util_gain;
	public float util_foodExp;
	public float util_loss;
	public float util_avail;
	public float util_availImp;
	public float util_foodImpDmdFac;
	public float util_oilImp;
	public float util_oilExp;
	public float util_coalImp;
	public float util_coalExp;
	public float util_nonrenewImp;
	public float util_nonrenewExp;

	public float util_need;					//new in java-model

	public float util_investS_indust;
	public float util_investS_agri;
	public float util_investS_advTech;
	public float util_investS_other;
	public float util_investS_overhead;
	public float util_investS_exp;

	public float util_targetS_indust;
	public float util_targetS_agri;
	public float util_targetS_advTech;
	public float util_targetS_other;

	public float util_dmdFactR_food;
	public float util_dmdFactR_oil;
	public float util_dmdFactR_coal;
	public float util_dmdFactR_nonrenew;

	//used in UI
	public float util_avail2Aid;


	// Econ

	public float econ_gnp;
	public int econ_strenClass = 4;
	public float econ_incomePerCap;
	public float econ_stdOfLiving;
	public float econ_throughputFact;

	public float econ_distSum;

	public float econ_distS_indust;
	public float econ_distS_agri;
	public float econ_distS_advTech;
	public float econ_distS_other;
	public float econ_distS_overhead;
	public float econ_distS_exp;


	// Import

	public float imp_dmd;

	public float imp_possS_indust;
	public float imp_possS_agri;
	public float imp_possS_advTech;
	public float imp_possS_other;

	public float imp_dmdS_indust;
	public float imp_dmdS_agri;
	public float imp_dmdS_advTech;
	public float imp_dmdS_other;
	public float imp_dmdS_overhead;

	public float imp_byS_indust;
	public float imp_byS_agri;
	public float imp_byS_advTech;
	public float imp_byS_other;
	public float imp_byS_overhead;

	// Export

	public float exp_coeffS_indust;
	public float exp_coeffS_agri;
	public float exp_coeffS_advTech;
	public float exp_coeffS_other;
	public float exp_coeffS_overhead;

	public float exp_avail;


	// Coal
	public float coal_resource;
	public float coal_prod;
	public float coal_dmd;
	public float coal_supply2Dmd = 1.0F;
	public float coal_imp;
	public float coal_impDmd;
	public float coal_exp;
	public float coal_expAvail;

	// Oil

	public float oil_prod = 0.0F;
	public float oil_domProd;
	public float oil_totalReserves;
	public float oil_found = 0.0F;
	public float oil_proven;
	public float oil_extractTotal = 0.0F;
	public float oil_extrDiffFactor;
	public float oil_consum;
	public float oil_dmd;
	public float oil_supply2Dmd = 1.0F;
	public float oil_consum2Dmd = 1.0F;
	public float oil_imp;
	public float oil_impDmd;
	public float oil_exp;
	public float oil_expAvail;
	public float oil_typeChangeH = 0.0F;
	public int oil_type = 1;				//read in, variable set for DEBUG

	public float oil_dmdCoeffS_indust;
	public float oil_dmdCoeffS_agri;
	public float oil_dmdCoeffS_advTech;
	public float oil_dmdCoeffS_other;

	public float oil_dmdNS_indust;
	public float oil_dmdNS_agri;
	public float oil_dmdNS_advTech;
	public float oil_dmdNS_other;

	public float oil_distCoeffS_indust;
	public float oil_distCoeffS_agri;
	public float oil_distCoeffS_advTech;
	public float oil_distCoeffS_other;

	// Nonrenew

	public float nonrenew_stat;
	public float nonrenew_statBY;
	public float nonrenew_fact;
	public float nonrenew_throughput = 1.0F;
	public float nonrenew_recycled;
	public float nonrenew_dmd = 1.0F;
	public float nonrenew_dmdRemain = 1.0F;
	public float nonrenew_consum;
	public float nonrenew_imp;
	public float nonrenew_exp;
	public float nonrenew_expSurp;
	public float nonrenew_expPressure;



	public float getValueRefl(String name)
	{

		Class c = getClass();
		Field[] f = c.getDeclaredFields();
		for(int i=0; i < f.length; i++)
		{
			if (name.equals(f[i].getName()))
			{
			    	try {
				  	float value = f[i].getFloat(this);
					return value;

				} catch (Exception e) {
					System.out.println(e.toString());
					return 0;
					}
			}

		}
		return 0;	 // falls nicht gefunden !
	}



	public String[] getNaN()
	{
		String[] tmp = new String[200];
		int nanCount = 0;
		float value = 0.0F;

		Class c = getClass();
		Field[] f = c.getDeclaredFields();
		for(int i=0; i < f.length; i++)
		{
			try {
				value = f[i].getFloat(this);
			} catch (Exception e) {
			}

//			if (((value + "").equals("NaN")) | ((value + "").equals("Infinity"))) {
			if ((Float.isNaN(value)) | (Float.isInfinite(value))) {
				tmp[nanCount++] = f[i].getName();
			}
		}
		String[] returnMe = new String[nanCount];
		System.arraycopy(tmp,0,returnMe,0,nanCount);

		return returnMe;
	}



	public int getValueInt(String name)
	{

		Class c = getClass();
		Field[] f = c.getDeclaredFields();
		for(int i=0; i < f.length; i++)
		{
			if (name.equals(f[i].getName()))
			{
			    	try {
				  	int value = f[i].getInt(this);
					return value;

				} catch (Exception e) {
					System.out.println(e.toString());
					return 0;
					}
			}

		}

		return 0;	// falls nicht gefunden !
	}

	public String getName()
	{
		return name;
	}






//=============================================================================

// isCopyOf sollte sich clonen lassen dann brauch ma das nimma...

	public void isCopyOf(RegionData r) {
		//DEBUG
		temp1 = r.temp1;
		temp2 = r.temp2;
		temp3 = r.temp3;
		temp4 = r.temp4;
		temp5 = r.temp5;
		temp6 = r.temp6;
		temp7 = r.temp7;
		temp8 = r.temp8;


		name = r.name;
		area = r.area;

		rankByIncome = r.rankByIncome;
		rankByFoodNeed = r.rankByFoodNeed;

		investPerCap2BY = r.investPerCap2BY;
		pollution2Area = r.pollution2Area;
		conservFlag = r.conservFlag;
		needsUtilAid = needsUtilAid;


		industBase_stat = r.industBase_stat;
		industBase_dmd = r.industBase_dmd;
		indust_oilDmd = r.indust_oilDmd;
		//indust_oilConsum = r.indust_oilConsum;		not used
		indust_prod = r.indust_prod;
		util_industExp = r.util_industExp;
		indust_imp = r.indust_imp;
		indust_idleFrac = r.indust_idleFrac;
		indust_delayedIdleFrac = r.indust_delayedIdleFrac;
		indust_ratio = r.indust_ratio;

		indust_expAvailS_indust = r.indust_expAvailS_indust;
		indust_expAvailS_agri = r.indust_expAvailS_agri;
		indust_expAvailS_advTech = r.indust_expAvailS_advTech;
		indust_expAvailS_other = r.indust_expAvailS_other;
		indust_expAvailS_overhead = r.indust_expAvailS_overhead;

		indust_expS_indust = r.indust_expS_indust;
		indust_expS_agri = r.indust_expS_agri;
		indust_expS_advTech = r.indust_expS_advTech;
		indust_expS_other = r.indust_expS_other;
		indust_expS_overhead = r.indust_expS_overhead;


		agriEquip_stat = r.agriEquip_stat;
		agriEquip_statBY = r.agriEquip_statBY;
		agriEquip_dmd = r.agriEquip_dmd;
		util_foodImp = r.util_foodImp;
		food_surplus = r.food_surplus;
		food_prod2Need = r.food_prod2Need;
		agri_oilSatMult = r.agri_oilSatMult;


		advTech_stat = r.advTech_stat;
		advTech_dmd = r.advTech_dmd;


		other_stat = r.other_stat;
		other_dmd = r.other_dmd;


		tech_stat = r.tech_stat;
		tech_statBY = r.tech_statBY;
		tech_ratio = r.tech_ratio;


		overhead_dmd = r.overhead_dmd;


		educ_effic = r.educ_effic;
		educ_manHourTrainCum = r.educ_manHourTrainCum;
		educ_manHourTrainCap = r.educ_manHourTrainCap;


		food_prod = r.food_prod;
		food_prodBY = r.food_prodBY;
		food_prodGrowth = r.food_prodGrowth;
		food_prodGrowthBY = r.food_prodGrowthBY;
		food_prodGrowthCalc = r.food_prodGrowthCalc;
		food_prodIncrLimit = r.food_prodIncrLimit;
		food_dmd = r.food_dmd;
		food_imp = r.food_imp;
		food_exp = r.food_exp;
		food_calPerCapDay = r.food_calPerCapDay;
		food_calPerCapDayBY = r.food_calPerCapDayBY;
		food_calPerCapDayNeed = r.food_calPerCapDayNeed;
		food_delivMult = r.food_delivMult;
		food_aidRecv = r.food_aidRecv;
		food_aidGiven = r.food_aidGiven;

		food_need = r.food_need;

		food_surp2Aid = r.food_surp2Aid;


		pop_stat = r.pop_stat;
		pop_statBY = r.pop_statBY;
		pop_immigr = r.pop_immigr;
		pop_emigr = r.pop_emigr;
		pop_birthRate = r.pop_birthRate;
		pop_deathRate = r.pop_deathRate;
		pop_inAgri = r.pop_inAgri;
		pop_inAgriBY = r.pop_inAgriBY;
		pop_inAgri2Pop = r.pop_inAgri2Pop;
		pop_nutLvl = r.pop_nutLvl;


		util_tni = r.util_tni;
		util_tniBY = r.util_tniBY;
		util_gain = r.util_gain;
		util_foodExp = r.util_foodExp;
		util_loss = r.util_loss;
		util_avail = r.util_avail;
		util_availImp = r.util_availImp;
		util_foodImpDmdFac = r.util_foodImpDmdFac;
		util_oilImp = r.util_oilImp;
		util_oilExp = r.util_oilExp;
		util_coalImp = r.util_coalImp;
		util_coalExp = r.util_coalExp;
		util_nonrenewImp = r.util_nonrenewImp;
		util_nonrenewExp = r.util_nonrenewExp;

		util_need = r.util_need;

		util_investS_indust = r.util_investS_indust;
		util_investS_agri = r.util_investS_agri;
		util_investS_advTech = r.util_investS_advTech;
		util_investS_other = r.util_investS_other;
		util_investS_overhead = r.util_investS_overhead;
		util_investS_exp = r.util_investS_exp;

		util_targetS_indust = r.util_targetS_indust;
		util_targetS_agri = r.util_targetS_agri;
		util_targetS_advTech = r.util_targetS_advTech;
		util_targetS_other = r.util_targetS_other;

		util_dmdFactR_food = r.util_dmdFactR_food;
		util_dmdFactR_oil = r.util_dmdFactR_oil;
		util_dmdFactR_coal = r.util_dmdFactR_coal;
		util_dmdFactR_nonrenew = r.util_dmdFactR_nonrenew;

		util_avail2Aid = r.util_avail2Aid;


		econ_gnp = r.econ_gnp;
		econ_strenClass = r.econ_strenClass;
		econ_incomePerCap = r.econ_incomePerCap;
		econ_stdOfLiving = r.econ_stdOfLiving;
		econ_throughputFact = r.econ_throughputFact;

		//BUGFIX 020207 (vergessen!)
		econ_distSum = r.econ_distSum;

		econ_distS_indust = r.econ_distS_indust;
		econ_distS_agri = r.econ_distS_agri;
		econ_distS_advTech = r.econ_distS_advTech;
		econ_distS_other = r.econ_distS_other;
		econ_distS_overhead = r.econ_distS_overhead;
		econ_distS_exp = r.econ_distS_exp;


		imp_dmd = r.imp_dmd;

		imp_possS_indust = r.imp_possS_indust;
		imp_possS_agri = r.imp_possS_agri;
		imp_possS_advTech = r.imp_possS_advTech;
		imp_possS_other = r.imp_possS_other;

		imp_dmdS_indust = r.imp_dmdS_indust;
		imp_dmdS_agri = r.imp_dmdS_agri;
		imp_dmdS_advTech = r.imp_dmdS_advTech;
		imp_dmdS_other = r.imp_dmdS_other;
		imp_dmdS_overhead = r.imp_dmdS_overhead;

		imp_byS_indust = r.imp_byS_indust;
		imp_byS_agri = r.imp_byS_agri;
		imp_byS_advTech = r.imp_byS_advTech;
		imp_byS_other = r.imp_byS_other;
		imp_byS_overhead = r.imp_byS_overhead;


		exp_coeffS_indust = r.exp_coeffS_indust;
		exp_coeffS_agri = r.exp_coeffS_agri;
		exp_coeffS_advTech = r.exp_coeffS_advTech;
		exp_coeffS_other = r.exp_coeffS_other;
		exp_coeffS_overhead = r.exp_coeffS_overhead;

		exp_avail = r.exp_avail;


		coal_resource = r.coal_resource;
		coal_prod = r.coal_prod;
		coal_dmd = r.coal_dmd;
		coal_supply2Dmd = r.coal_supply2Dmd;
		coal_imp = r.coal_imp;
		coal_impDmd = r.coal_impDmd;
		coal_exp = r.coal_exp;
		coal_expAvail = r.coal_expAvail;


		oil_prod = r.oil_prod;
		oil_domProd = r.oil_domProd;
		oil_totalReserves = r.oil_totalReserves;
		oil_found = r.oil_found;
		oil_proven = r.oil_proven;
		oil_extractTotal = r.oil_extractTotal;
		oil_extrDiffFactor = r.oil_extrDiffFactor;
		oil_consum = r.oil_consum;
		oil_dmd = r.oil_dmd;
		oil_supply2Dmd = r.oil_supply2Dmd;
		oil_consum2Dmd = r.oil_consum2Dmd;
		oil_imp = r.oil_imp;
		oil_impDmd = r.oil_impDmd;
		oil_exp = r.oil_exp;
		oil_expAvail = r.oil_expAvail;
		oil_typeChangeH = r.oil_typeChangeH;
		oil_type = r.oil_type;

		oil_dmdCoeffS_indust = r.oil_dmdCoeffS_indust;
		oil_dmdCoeffS_agri = r.oil_dmdCoeffS_agri;
		oil_dmdCoeffS_advTech = r.oil_dmdCoeffS_advTech;
		oil_dmdCoeffS_other = r.oil_dmdCoeffS_other;

		oil_dmdNS_indust = r.oil_dmdNS_indust;
		oil_dmdNS_agri = r.oil_dmdNS_agri;
		oil_dmdNS_advTech = r.oil_dmdNS_advTech;
		oil_dmdNS_other = r.oil_dmdNS_other;

		oil_distCoeffS_indust = r.oil_distCoeffS_indust;
		oil_distCoeffS_agri = r.oil_distCoeffS_agri;
		oil_distCoeffS_advTech = r.oil_distCoeffS_advTech;
		oil_distCoeffS_other = r.oil_distCoeffS_other;


		nonrenew_stat = r.nonrenew_stat;
		nonrenew_statBY = r.nonrenew_statBY;
		nonrenew_fact = r.nonrenew_fact;
		nonrenew_throughput = r.nonrenew_throughput;
		nonrenew_recycled = r.nonrenew_recycled;
		nonrenew_dmd = r.nonrenew_dmd;
		nonrenew_dmdRemain = r.nonrenew_dmdRemain;
		nonrenew_consum = r.nonrenew_consum;
		nonrenew_imp = r.nonrenew_imp;
		nonrenew_exp = r.nonrenew_exp;
		nonrenew_expSurp = r.nonrenew_expSurp;
		nonrenew_expPressure = r.nonrenew_expPressure;
	}
}
