package logica.sim.data;


import java.lang.reflect.*;


public class WorldData {
		public float area = 0.0F;
		public float popStat = 0.0F;
		public float manHourTrainCum = 0.0F;
		public float manHourTrainCap;
		public float medianIncome;



		public float util_aidAvail = 0.0F;
		public float util_need;
		public float util_imp;
		public float util_exp;


		public float coal_price;
		public float coal_basePrice = 24.0F;			//assume that its after 1972
		public float coal_impDmd;
		public float coal_imp;
		public float coal_expAvail;
		public float coal_expUtil;


		public float oil_price;
		public float oil_basePrice = 60.0F;			//assume that its after 1972
		public float oil_impDmd;
		public float oil_imp;
		public float oil_expAvail;
		public float oil_expUtil;


		public float nonrenew_stat = 0.0F;
		public float nonrenew_price;
		public float nonrenew_basePrice = 2.0F;		//assume that its after 1972
		public float nonrenew_fact;
		public float nonrenew_imp;
		public float nonrenew_exp;
		public float nonrenew_expUtil;


		public float food_price = 100.0F;
		public float food_surp = 0.0F;
		public float food_surpUtil;
		public float food_imp;
		public float food_dmd;
		public float food_aid;
		public float food_aidAvail;
		public boolean food_growth = true;


		public float advTech_stat = 0.0F;


		public float indust_imp;
		public float indust_exp = 0.0F;
		public float indust_expAvail;
		public float industBase_stat = 0.0F;

		public float indust_expAvailS_indust;
		public float indust_expAvailS_agri;
		public float indust_expAvailS_advTech;
		public float indust_expAvailS_other;
		public float indust_expAvailS_overhead;

		public float indust_expS_indust;
		public float indust_expS_agri;
		public float indust_expS_advTech;
		public float indust_expS_other;
		public float indust_expS_overhead;

		public float indust_impS_indust;
		public float indust_impS_agri;
		public float indust_impS_advTech;
		public float indust_impS_other;
		public float indust_impS_overhead;



//=============================================================================


	public float getValueRefl(String name)
	{

		Class c = getClass();
		Field[] f = c.getDeclaredFields();
		for(int i=0; i < f.length; i++)
		{
			if (name.equals(f[i].getName()))
			{
			    	try {
				  	float value = f[i].getFloat(this);
					return value;

				} catch (Exception e) {
					System.out.println(e.toString());
					return 0;
					}
			}

		}
		return 0;	 // falls nicht gefunden !
	}


//=============================================================================


	public void isCopyOf(WorldData w) {
		area = w.area;
		popStat = w.popStat;
		manHourTrainCum = w.manHourTrainCum;
		manHourTrainCap = w.manHourTrainCap;
		medianIncome = w.medianIncome;

		util_aidAvail = w.util_aidAvail;
		util_need = w.util_need;
		util_imp = w.util_imp;
		util_exp = w.util_exp;

		coal_price = w.coal_price;
		coal_basePrice = w.coal_basePrice;
		coal_impDmd = w.coal_impDmd;
		coal_imp = w.coal_imp;
		coal_expAvail = w.coal_expAvail;
		coal_expUtil = w.coal_expUtil;

		oil_price = w.oil_price;
		oil_basePrice = w.oil_basePrice;
		oil_impDmd = w.oil_impDmd;
		oil_imp = w.oil_imp;
		oil_expAvail = w.oil_expAvail;
		oil_expUtil = w.oil_expUtil;

		nonrenew_stat = w.nonrenew_stat;
		nonrenew_price = w.nonrenew_price;
		nonrenew_basePrice = w.nonrenew_basePrice;
		nonrenew_fact = w.nonrenew_fact;
		nonrenew_imp = w.nonrenew_imp;
		nonrenew_exp = w.nonrenew_exp;
		nonrenew_expUtil = w.nonrenew_expUtil;

		food_price = w.food_price;
		food_surp = w.food_surp;
		food_surpUtil = w.food_surpUtil;
		food_imp = w.food_imp;
		food_dmd = w.food_dmd;
		food_aid = w.food_aid;
		food_aidAvail = w.food_aidAvail;
		food_growth = w.food_growth;

		advTech_stat = w.advTech_stat;

		indust_imp = w.indust_imp;
		indust_exp = w.indust_exp;
		indust_expAvail = w.indust_expAvail;
		industBase_stat = w.industBase_stat;

		indust_expAvailS_indust = w.indust_expAvailS_indust;
		indust_expAvailS_agri = w.indust_expAvailS_agri;
		indust_expAvailS_advTech = w.indust_expAvailS_advTech;
		indust_expAvailS_other = w.indust_expAvailS_other;
		indust_expAvailS_overhead = w.indust_expAvailS_overhead;

		indust_expS_indust = w.indust_expS_indust;
		indust_expS_agri = w.indust_expS_agri;
		indust_expS_advTech = w.indust_expS_advTech;
		indust_expS_other = w.indust_expS_other;
		indust_expS_overhead = w.indust_expS_overhead;

		indust_impS_indust = w.indust_impS_indust;
		indust_impS_agri = w.indust_impS_agri;
		indust_impS_advTech = w.indust_impS_advTech;
		indust_impS_other = w.indust_impS_other;
		indust_impS_overhead = w.indust_impS_overhead;
	}
}